## nautilus-extension-types nautilus-extension-types |

## Functions

#define | NAUTILUS_TYPE_OPERATION_RESULT
GType | nautilus_operation_result_get_type ()
void | nautilus_module_initialize ()
void | nautilus_module_shutdown ()
void | nautilus_module_list_types ()

## Types and Values

| NautilusOperationHandle
enum | NautilusOperationResult

## Object Hierarchy

        GEnum
        ╰── NautilusOperationResult

## Description

## Functions

### NAUTILUS_TYPE_OPERATION_RESULT

    #define NAUTILUS_TYPE_OPERATION_RESULT (nautilus_operation_result_get_type ())

### nautilus_operation_result_get_type ()

    GType
    nautilus_operation_result_get_type (void);

### nautilus_module_initialize ()

    void
    nautilus_module_initialize (GTypeModule *module);

### nautilus_module_shutdown ()

    void
    nautilus_module_shutdown (void);

### nautilus_module_list_types ()

    void
    nautilus_module_list_types (const GType **types,
                                int *num_types);

## Types and Values

### NautilusOperationHandle

    typedef struct _NautilusOperationHandle NautilusOperationHandle;

### enum NautilusOperationResult

#### Members

NAUTILUS_OPERATION_COMPLETE |  |
NAUTILUS_OPERATION_FAILED |  |
NAUTILUS_OPERATION_IN_PROGRESS |  |